\ProvidesPackage{macros}

\usepackage[dvipsnames]{xcolor}

\usepackage{algorithmicx}
\usepackage{algorithm}
\usepackage{algpseudocode}

\usepackage{amsmath}

%% REVISION MACROS %%

\newcommand{\todo}[1]{\textcolor{red}{\textbf{ToDo}\ifx&#1&\else ~[\emph{#1} ]~\fi}}
\newcommand{\fixme}[1]{\textcolor{purple}{\textbf{FixMe}\ifx&#1&\else ~[ \emph{#1} ]~\fi}}
\newcommand{\note}[1]{\textcolor{blue}{\textbf{Note}\ifx&#1&\else ~[ \emph{#1} ]~\fi}}

\newcommand{\SB}[1]{\textcolor{orange}{\textbf{Simon}\ifx&#1&\else ~[ \emph{#1} ]~\fi}}
\newcommand{\LAD}[1]{\textcolor{OliveGreen}{\textbf{Lesly}\ifx&#1&\else ~[ \emph{#1} ]~\fi}}
\newcommand{\FDM}[1]{\textcolor{cyan}{\textbf{Florestan}\ifx&#1&\else ~[ \emph{#1} ]~\fi}}
\newcommand{\BT}[1]{\textcolor{brown}{\textbf{Bastien}\ifx&#1&\else ~[ \emph{#1} ]~\fi}}

%% TEXT MACROS %%

\newcommand{\upmem}{\textsc{Upmem}}
\newcommand{\pim}{PIM}
\newcommand{\kmeans}{$k$-means}

%% MATH OPERATORS %%

\DeclareMathOperator{\argmin}{Argmin}
